Index: branches/OKB/HeuristicLab.Clients.OKB-3.3/Views/ProblemDataView.cs
===================================================================
--- branches/OKB/HeuristicLab.Clients.OKB-3.3/Views/ProblemDataView.cs	(revision 4492)
+++ branches/OKB/HeuristicLab.Clients.OKB-3.3/Views/ProblemDataView.cs	(revision 4548)
@@ -60,5 +60,5 @@
     protected override void OnInitialized(System.EventArgs e) {
       base.OnInitialized(e);
-      dataTypeComboBox.DataSource = Administrator.Instance.DataTypes.ToList();
+      dataTypeComboBox.DataSource = OKB.Instance.DataTypes.ToList();
       dataTypeComboBox.SelectedIndex = -1;
     }
@@ -80,5 +80,5 @@
         noViewAvailableLabel.Visible = false;
       } else {
-        dataTypeComboBox.SelectedItem = Administrator.Instance.DataTypes.FirstOrDefault(d => d.Id == Content.DataTypeId);
+        dataTypeComboBox.SelectedItem = OKB.Instance.DataTypes.FirstOrDefault(d => d.Id == Content.DataTypeId);
 
         using (MemoryStream stream = new MemoryStream(Content.Data)) {
@@ -111,5 +111,5 @@
       switch (e.PropertyName) {
         case "DataTypeId":
-          dataTypeComboBox.SelectedItem = Administrator.Instance.DataTypes.FirstOrDefault(d => d.Id == Content.DataTypeId);
+          dataTypeComboBox.SelectedItem = OKB.Instance.DataTypes.FirstOrDefault(d => d.Id == Content.DataTypeId);
           break;
       }
@@ -119,5 +119,5 @@
       BeginAsyncCall();
       var call = new Action(delegate() {
-        ProblemData data = Administrator.Instance.GetProblemData(ProblemId);
+        ProblemData data = OKB.Instance.GetProblemData(ProblemId);
         Content = data;
       });
@@ -141,5 +141,5 @@
         }
       }
-      Administrator.Instance.UpdateProblemData(Content);
+      OKB.Instance.UpdateProblemData(Content);
     }
     private void newDataButton_Click(object sender, EventArgs e) {
@@ -152,11 +152,11 @@
             if (Content == null) Content = new ProblemData { ProblemId = ProblemId };
             viewHost.Content = (IContent)dialog.TypeSelector.CreateInstanceOfSelectedType();
-            DataType dataType = Administrator.Instance.DataTypes.FirstOrDefault(d => d.Name == viewHost.Content.GetType().AssemblyQualifiedName);
+            DataType dataType = OKB.Instance.DataTypes.FirstOrDefault(d => d.Name == viewHost.Content.GetType().AssemblyQualifiedName);
             if (dataType == null) {
               dataType = new DataType { Name = viewHost.Content.GetType().AssemblyQualifiedName, SqlName = "varbinary" };
-              dataType.PlatformId = Administrator.Instance.Platforms.FirstOrDefault(p => p.Name == "HeuristicLab 3.3").Id;
+              dataType.PlatformId = OKB.Instance.Platforms.FirstOrDefault(p => p.Name == "HeuristicLab 3.3").Id;
               dataType.Store();
-              Administrator.Instance.DataTypes.Add(dataType);
-              dataTypeComboBox.DataSource = Administrator.Instance.DataTypes.OrderBy(d => d.Name).ToList();
+              OKB.Instance.DataTypes.Add(dataType);
+              dataTypeComboBox.DataSource = OKB.Instance.DataTypes.OrderBy(d => d.Name).ToList();
             }
             dataTypeComboBox.SelectedItem = dataType;
@@ -184,11 +184,11 @@
             viewHost.Content = problem;
             noViewAvailableLabel.Visible = false;
-            DataType dataType = Administrator.Instance.DataTypes.FirstOrDefault(d => d.Name == viewHost.Content.GetType().AssemblyQualifiedName);
+            DataType dataType = OKB.Instance.DataTypes.FirstOrDefault(d => d.Name == viewHost.Content.GetType().AssemblyQualifiedName);
             if (dataType == null) {
               dataType = new DataType { Name = viewHost.Content.GetType().AssemblyQualifiedName, SqlName = "varbinary" };
-              dataType.PlatformId = Administrator.Instance.Platforms.FirstOrDefault(p => p.Name == "HeuristicLab 3.3").Id;
+              dataType.PlatformId = OKB.Instance.Platforms.FirstOrDefault(p => p.Name == "HeuristicLab 3.3").Id;
               dataType.Store();
-              Administrator.Instance.DataTypes.Add(dataType);
-              dataTypeComboBox.DataSource = Administrator.Instance.DataTypes.OrderBy(d => d.Name).ToList();
+              OKB.Instance.DataTypes.Add(dataType);
+              dataTypeComboBox.DataSource = OKB.Instance.DataTypes.OrderBy(d => d.Name).ToList();
             }
             dataTypeComboBox.SelectedItem = dataType;