Index: branches/WebApplication/OKB.sln
===================================================================
--- branches/WebApplication/OKB.sln	(revision 4572)
+++ 	(revision )
@@ -1,79 +1,0 @@
-﻿
-Microsoft Visual Studio Solution File, Format Version 11.00
-# Visual Studio 2010
-Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "WebSites", "WebSites", "{D8EE8EE9-7439-443A-B786-27F098895EF7}"
-EndProject
-Project("{E24C65DC-7377-472B-9ABA-BC803B73C61A}") = "OKB", "WebSites\OKB\", "{1AF6CDB4-A122-4EDC-B28A-8BDC41443B7E}"
-	ProjectSection(WebsiteProperties) = preProject
-		TargetFrameworkMoniker = ".NETFramework,Version%3Dv4.0"
-		ProjectReferences = "{3526BD1F-AF87-44E6-B6D5-6683D78DF576}|Shell.dll;{BEF45305-5E6D-4C7D-BF61-5CB7E9EEAB87}|Administration.dll;{0BD25375-7C3D-4A4C-A660-3779E3A0967E}|Administration.Interface.dll;"
-		Debug.AspNetCompiler.VirtualPath = "/OKB"
-		Debug.AspNetCompiler.PhysicalPath = "WebSites\OKB\"
-		Debug.AspNetCompiler.TargetPath = "PrecompiledWeb\OKB\"
-		Debug.AspNetCompiler.Updateable = "true"
-		Debug.AspNetCompiler.ForceOverwrite = "true"
-		Debug.AspNetCompiler.FixedNames = "false"
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.VirtualPath = "/OKB"
-		Release.AspNetCompiler.PhysicalPath = "WebSites\OKB\"
-		Release.AspNetCompiler.TargetPath = "PrecompiledWeb\OKB\"
-		Release.AspNetCompiler.Updateable = "true"
-		Release.AspNetCompiler.ForceOverwrite = "true"
-		Release.AspNetCompiler.FixedNames = "false"
-		Release.AspNetCompiler.Debug = "False"
-		VWDPort = "1301"
-		DefaultWebSiteLanguage = "Visual C#"
-	EndProjectSection
-EndProject
-Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Modules", "Modules", "{7246595C-2A60-4138-8C0D-219950D7813F}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "Shell", "Modules\Shell\Shell.csproj", "{3526BD1F-AF87-44E6-B6D5-6683D78DF576}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "Administration", "Administration\Administration.csproj", "{BEF45305-5E6D-4C7D-BF61-5CB7E9EEAB87}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "Administration.Tests", "Administration.Tests\Administration.Tests.csproj", "{50A9E7D2-30CA-4F84-8272-547ECF0F45FF}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "Administration.Interface", "Administration.Interface\Administration.Interface.csproj", "{0BD25375-7C3D-4A4C-A660-3779E3A0967E}"
-EndProject
-Global
-	GlobalSection(SolutionConfigurationPlatforms) = preSolution
-		Debug|Any CPU = Debug|Any CPU
-		Release|Any CPU = Release|Any CPU
-	EndGlobalSection
-	GlobalSection(ProjectConfigurationPlatforms) = postSolution
-		{1AF6CDB4-A122-4EDC-B28A-8BDC41443B7E}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{1AF6CDB4-A122-4EDC-B28A-8BDC41443B7E}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{1AF6CDB4-A122-4EDC-B28A-8BDC41443B7E}.Release|Any CPU.ActiveCfg = Debug|Any CPU
-		{1AF6CDB4-A122-4EDC-B28A-8BDC41443B7E}.Release|Any CPU.Build.0 = Debug|Any CPU
-		{3526BD1F-AF87-44E6-B6D5-6683D78DF576}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{3526BD1F-AF87-44E6-B6D5-6683D78DF576}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{3526BD1F-AF87-44E6-B6D5-6683D78DF576}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{3526BD1F-AF87-44E6-B6D5-6683D78DF576}.Release|Any CPU.Build.0 = Release|Any CPU
-		{BEF45305-5E6D-4C7D-BF61-5CB7E9EEAB87}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{BEF45305-5E6D-4C7D-BF61-5CB7E9EEAB87}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{BEF45305-5E6D-4C7D-BF61-5CB7E9EEAB87}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{BEF45305-5E6D-4C7D-BF61-5CB7E9EEAB87}.Release|Any CPU.Build.0 = Release|Any CPU
-		{50A9E7D2-30CA-4F84-8272-547ECF0F45FF}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{50A9E7D2-30CA-4F84-8272-547ECF0F45FF}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{50A9E7D2-30CA-4F84-8272-547ECF0F45FF}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{50A9E7D2-30CA-4F84-8272-547ECF0F45FF}.Release|Any CPU.Build.0 = Release|Any CPU
-		{0BD25375-7C3D-4A4C-A660-3779E3A0967E}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{0BD25375-7C3D-4A4C-A660-3779E3A0967E}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{0BD25375-7C3D-4A4C-A660-3779E3A0967E}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{0BD25375-7C3D-4A4C-A660-3779E3A0967E}.Release|Any CPU.Build.0 = Release|Any CPU
-	EndGlobalSection
-	GlobalSection(SolutionProperties) = preSolution
-		HideSolutionNode = FALSE
-	EndGlobalSection
-	GlobalSection(NestedProjects) = preSolution
-		{1AF6CDB4-A122-4EDC-B28A-8BDC41443B7E} = {D8EE8EE9-7439-443A-B786-27F098895EF7}
-		{3526BD1F-AF87-44E6-B6D5-6683D78DF576} = {7246595C-2A60-4138-8C0D-219950D7813F}
-		{BEF45305-5E6D-4C7D-BF61-5CB7E9EEAB87} = {7246595C-2A60-4138-8C0D-219950D7813F}
-		{50A9E7D2-30CA-4F84-8272-547ECF0F45FF} = {7246595C-2A60-4138-8C0D-219950D7813F}
-		{0BD25375-7C3D-4A4C-A660-3779E3A0967E} = {7246595C-2A60-4138-8C0D-219950D7813F}
-	EndGlobalSection
-	GlobalSection(ExtensibilityGlobals) = postSolution
-		IsWCSFSolution = True
-		RootNamespace = OKB
-	EndGlobalSection
-EndGlobal