Index: branches/WebApplication/HeuristicLab.WebApplication.sln
===================================================================
--- branches/WebApplication/HeuristicLab.WebApplication.sln	(revision 4572)
+++ branches/WebApplication/HeuristicLab.WebApplication.sln	(revision 4577)
@@ -3,26 +3,4 @@
 # Visual Studio 2010
 Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "WebSites", "WebSites", "{D8EE8EE9-7439-443A-B786-27F098895EF7}"
-EndProject
-Project("{E24C65DC-7377-472B-9ABA-BC803B73C61A}") = "OKB", "WebSites\OKB\", "{1AF6CDB4-A122-4EDC-B28A-8BDC41443B7E}"
-	ProjectSection(WebsiteProperties) = preProject
-		TargetFrameworkMoniker = ".NETFramework,Version%3Dv4.0"
-		ProjectReferences = "{3526BD1F-AF87-44E6-B6D5-6683D78DF576}|Shell.dll;{BEF45305-5E6D-4C7D-BF61-5CB7E9EEAB87}|Administration.dll;{0BD25375-7C3D-4A4C-A660-3779E3A0967E}|Administration.Interface.dll;"
-		Debug.AspNetCompiler.VirtualPath = "/OKB"
-		Debug.AspNetCompiler.PhysicalPath = "WebSites\OKB\"
-		Debug.AspNetCompiler.TargetPath = "PrecompiledWeb\OKB\"
-		Debug.AspNetCompiler.Updateable = "true"
-		Debug.AspNetCompiler.ForceOverwrite = "true"
-		Debug.AspNetCompiler.FixedNames = "false"
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.VirtualPath = "/OKB"
-		Release.AspNetCompiler.PhysicalPath = "WebSites\OKB\"
-		Release.AspNetCompiler.TargetPath = "PrecompiledWeb\OKB\"
-		Release.AspNetCompiler.Updateable = "true"
-		Release.AspNetCompiler.ForceOverwrite = "true"
-		Release.AspNetCompiler.FixedNames = "false"
-		Release.AspNetCompiler.Debug = "False"
-		VWDPort = "1301"
-		DefaultWebSiteLanguage = "Visual C#"
-	EndProjectSection
 EndProject
 Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Modules", "Modules", "{7246595C-2A60-4138-8C0D-219950D7813F}"
@@ -36,4 +14,24 @@
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "Administration.Interface", "Administration.Interface\Administration.Interface.csproj", "{0BD25375-7C3D-4A4C-A660-3779E3A0967E}"
 EndProject
+Project("{E24C65DC-7377-472B-9ABA-BC803B73C61A}") = "HeuristicLabWeb", "WebSites\HeuristicLabWeb\", "{A5352F27-985A-4468-89D2-A2C2B7F760AD}"
+	ProjectSection(WebsiteProperties) = preProject
+		TargetFrameworkMoniker = ".NETFramework,Version%3Dv4.0"
+		Debug.AspNetCompiler.VirtualPath = "/HeuristicLabWeb"
+		Debug.AspNetCompiler.PhysicalPath = "WebSites\HeuristicLabWeb\"
+		Debug.AspNetCompiler.TargetPath = "PrecompiledWeb\HeuristicLabWeb\"
+		Debug.AspNetCompiler.Updateable = "true"
+		Debug.AspNetCompiler.ForceOverwrite = "true"
+		Debug.AspNetCompiler.FixedNames = "false"
+		Debug.AspNetCompiler.Debug = "True"
+		Release.AspNetCompiler.VirtualPath = "/HeuristicLabWeb"
+		Release.AspNetCompiler.PhysicalPath = "WebSites\HeuristicLabWeb\"
+		Release.AspNetCompiler.TargetPath = "PrecompiledWeb\HeuristicLabWeb\"
+		Release.AspNetCompiler.Updateable = "true"
+		Release.AspNetCompiler.ForceOverwrite = "true"
+		Release.AspNetCompiler.FixedNames = "false"
+		Release.AspNetCompiler.Debug = "False"
+		VWDPort = "1087"
+	EndProjectSection
+EndProject
 Global
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
@@ -42,8 +40,4 @@
 	EndGlobalSection
 	GlobalSection(ProjectConfigurationPlatforms) = postSolution
-		{1AF6CDB4-A122-4EDC-B28A-8BDC41443B7E}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{1AF6CDB4-A122-4EDC-B28A-8BDC41443B7E}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{1AF6CDB4-A122-4EDC-B28A-8BDC41443B7E}.Release|Any CPU.ActiveCfg = Debug|Any CPU
-		{1AF6CDB4-A122-4EDC-B28A-8BDC41443B7E}.Release|Any CPU.Build.0 = Debug|Any CPU
 		{3526BD1F-AF87-44E6-B6D5-6683D78DF576}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{3526BD1F-AF87-44E6-B6D5-6683D78DF576}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -62,4 +56,8 @@
 		{0BD25375-7C3D-4A4C-A660-3779E3A0967E}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{0BD25375-7C3D-4A4C-A660-3779E3A0967E}.Release|Any CPU.Build.0 = Release|Any CPU
+		{A5352F27-985A-4468-89D2-A2C2B7F760AD}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{A5352F27-985A-4468-89D2-A2C2B7F760AD}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{A5352F27-985A-4468-89D2-A2C2B7F760AD}.Release|Any CPU.ActiveCfg = Debug|Any CPU
+		{A5352F27-985A-4468-89D2-A2C2B7F760AD}.Release|Any CPU.Build.0 = Debug|Any CPU
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
@@ -67,5 +65,5 @@
 	EndGlobalSection
 	GlobalSection(NestedProjects) = preSolution
-		{1AF6CDB4-A122-4EDC-B28A-8BDC41443B7E} = {D8EE8EE9-7439-443A-B786-27F098895EF7}
+		{A5352F27-985A-4468-89D2-A2C2B7F760AD} = {D8EE8EE9-7439-443A-B786-27F098895EF7}
 		{3526BD1F-AF87-44E6-B6D5-6683D78DF576} = {7246595C-2A60-4138-8C0D-219950D7813F}
 		{BEF45305-5E6D-4C7D-BF61-5CB7E9EEAB87} = {7246595C-2A60-4138-8C0D-219950D7813F}
@@ -74,6 +72,6 @@
 	EndGlobalSection
 	GlobalSection(ExtensibilityGlobals) = postSolution
+		IsWCSFSolution = True
 		RootNamespace = OKB
-		IsWCSFSolution = True
 	EndGlobalSection
 EndGlobal